Follow

Compact Series Phone Compatibility

Please review the following information to determine if your mobile device is compatible with Seek Compact devices. Compact series products are generally compatible with Apple devices with a lightning connector and a wide range of Android devices with USB-C and micro-USB connectors.

Please contact our customer support at support@thermal.com if your device is not compatible.

 

Operating System Compatibility

The Android and iOS Seek Thermal apps require a minimum of Android 4.4 and iOS 9.0 or higher (with iOS 11 or higher strongly encouraged), respectively. The apps will not download if your smartphone does not satisfy the minimum requirements. 

 

Device Compatibility

Android devices running the required software must also have a USB-C port or Micro USB port and support powered USB OTG.  iOS devices running the required software must be equipped with a lightning connector port.  Visit the Help Center for more detailed explanations of Android requirements and iOS requirements.

 

Smartphone Case Compatibility

Some thicker smartphone cases (especially ruggedized ones) do not provide enough clearance around the connection port. To use the imager, you must either remove the case, or attach the imager using an extender/adapter

 

APPLE™ COMPATIBILITY

  • iPhone 12/ Mini / Pro / Pro Max
  • iPhone 11/ Pro / Pro Max
  • iPhone X series
  • iPhone 8 / 8+
  • iPhone 7 / 7+
  • iPhone 6S / 6S+
  • iPhone 5 / 5c / 5s
  • iPhone SE 1st and 2nd Generation

Works with, but not optimized for:

  • iPod Touch
  • iPad / iPad Mini / iPad Air

Not compatible with:

  • iPhone 4s or lower
  • iPad 3 or lower
  • iPod Touch 4 or lower
  • iPad Pro

 

ANDROID™ COMPATIBILITY

  • Samsung Galaxy S21 5G / S21+
  • Samsung Galaxy S20 / S20+
  • Samsung Galaxy S10 / S10+
  • Samsung Galaxy S9 / S9+
  • Samsung Galaxy S8 / S8+
  • Samsung Galaxy S7 / S7 Edge
  • Samsung Galaxy S6 / S6 Edge
  • Samsung Galaxy S5 (except some running 5.1.1*)
  • Samsung Galaxy S4
  • Samsung Galaxy S3
  • Samsung Galaxy Note 2 / 3 / 4 / Edge / 5 / 6 / 7 / 8 / 9 / 10
  • Google Pixel 5
  • Google Pixel 3 
  • Google Pixel 2 
  • Google Nexus 5 
  • Google Nexus 6 
  • Google Nexus 5x 
  • Google Nexus 6p 
  • OnePlus9 5G
  • Motorola Moto X
  • Motorola Moto G
  • HTC One Mini 2 
  • HTC One A9 
  • HTC One M8 
  • HTC One M9 
  • HTC Desire EYE 
  • HTC Desire 820 

Not compatible with:

  • Huawei P40 Pro
  • Amazon Fire Phone & Tablet
  • Google Nexus 4
  • Google Nexus 7 (2012)
  • Samsung Galaxy 2 (old)
  • HTC Desire 620
  • HTC Desire 626
  • HTC Nexus 9
  • Moto E
  • Samsung Galaxy Mega
  • Samsung Galaxy Note (original)
  • Samsung Nexus S
  • Samsung Galaxy S3 Neo
  • Samsung S4 mini
  • Samsung S5 mini
  • Nexus 9
Was this article helpful?
4 out of 7 found this helpful
Have more questions? Submit a request

Comments